=== debian/changelog ===
frama-c (20171101+sulfur+dfsg-2) unstable; urgency=medium

  * Team upload
  * Stop building the GUI, drop frama-c binary package (Closes: #911159)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Nov 2018 11:44:42 +0100

frama-c (20171101+sulfur+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches and remove the following ones which were applied
    upstream:
    - 0001-Fix-spelling-error-in-binary.patch
    - 0006-gui.byte-needs-TARGETS_GUI_BYTE-only.patch
    - 0008-More-fixes-of-spelling-errors.patch
    - 0009-Better-handling-of-dynlink-detection.patch
    - 0010-Add-zsh-completion-file.patch
    - 0011-Fix-installation-target-on-bytecode-architectures.patch
    - 0012-Do-not-use-C-CPPFLAG-when-compiling-jemalloc.patch
  * Update Vcs-* fields in order to use Salsa repositories
  * Fix installation on bytecode architectures
    - add 0006-Fix-installation-on-bytecode-architectures.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 17:39:36 +0200
