## frama-c 20191204%2Bcalcium

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #                                                                        #
 #  This file is part of Frama-C.                                         #
 #                                                                        #
-#  Copyright (C) 2007-2017                                               #
+#  Copyright (C) 2007-2019                                               #
 #    CEA (Commissariat à l'énergie atomique et aux énergies              #
 #         alternatives)                                                  #
 #                                                                        #
@@ -24,21 +24,22 @@
 
 FRAMAC_SRC=.
 MAKECONFIG_DIR=share
-
+PLUGIN_TESTS_LIST:=
 include share/Makefile.common
 include share/Makefile.dynamic_config.internal
 
 #Check share/Makefile.config available
 ifndef FRAMAC_ROOT_SRCDIR
-$(error "You should run ./configure first (or autoconf if there is no configure)")
+$(error \
+  "You should run ./configure first (or autoconf if there is no configure)")
 endif
 
 ###################
 # Frama-C Version #
 ###################
 
-VERSION:=$(shell $(SED) -e 's/\(\.*\)/\1/' VERSION)
-VERSION_PREFIX = $(shell $(SED) -e 's/\([a-zA-Z]\+-[0-9]\+\).*/\1/' VERSION)
+VERSION:=$(shell $(CAT) VERSION)
+VERSION_CODENAME:=$(shell $(CAT) VERSION_CODENAME)
 
 ###########################
 # Global plugin variables #
@@ -82,16 +83,33 @@
 PLUGIN_DIST_DOC_LIST:=
 PLUGIN_BIN_DOC_LIST:=
 PLUGIN_DIST_EXTERNAL_LIST:=
-PLUGIN_TESTS_LIST:=
+PLUGIN_DIST_TESTS_LIST:=
 PLUGIN_DISTRIBUTED_NAME_LIST:=
+MERLIN_PACKAGES:=
+
+PLUGIN_HEADER_SPEC_LIST :=
+PLUGIN_HEADER_DIRS_LIST :=
+PLUGIN_HEADER_EXCEPTIONS_LIST :=
+PLUGIN_CEA_PROPRIETARY_HEADERS_LIST :=
+PLUGIN_CEA_PROPRIETARY_FILES_LIST :=
+
+# default value used for HEADER_SPEC and PLUGIN_HEADER_SPEC
+DEFAULT_HEADER_SPEC := headers/header_spec.txt
+# default value used for HEADER_DIRS and PLUGIN_HEADER_DIRS
+DEFAULT_HEADER_DIRS := headers
+# default value used for HEADER_EXCEPTIONS and PLUGIN_HEADER_EXCEPTIONS
+DEFAULT_HEADER_EXCEPTIONS := configure
+# default value used for CEA_PROPRIETARY_FILES and PLUGIN_CEA_PROPRIETARY_FILES
+DEFAULT_CEA_PROPRIETARY_FILES := tests/non-free/%
+# default value used for CEA_PROPRIETARY_HEADERS
+# and PLUGIN_CEA_PROPRIETARY_HEADERS
+DEFAULT_CEA_PROPRIETARY_HEADERS := CEA_PROPRIETARY
+
+MERLIN_PACKAGES:=
 
 ###############################
 # Additional global variables #
 ###############################
-
-# put here any config option for the binary distribution outside of
-# plugins
-CONFIG_DISTRIB_BIN:=
 
 # Directories containing some source code
 SRC_DIRS= ptests $(PLUGIN_LIB_DIR) $(FRAMAC_SRC_DIRS)
@@ -110,23 +128,27 @@
 GUI_INCLUDES =
 endif
 
-# Files for which dependencies must be computed computed.
+# Files for which dependencies must be computed.
 # Other files are added later in this Makefile.
 FILES_FOR_OCAMLDEP+=$(PLUGIN_LIB_DIR)/*.mli
 
 BFLAGS	= $(PACKAGES) $(FLAGS) $(DEBUG) $(INCLUDES) \
-		$(FRAMAC_USER_FLAGS)
+		$(FRAMAC_USER_BFLAGS)
 OFLAGS	= $(PACKAGES) $(FLAGS) $(DEBUG) $(INCLUDES) -compact \
-		$(FRAMAC_USER_FLAGS)
+		$(FRAMAC_USER_OFLAGS)
 
 BLINKFLAGS += -linkpkg $(BFLAGS) -linkall -custom
 OLINKFLAGS += -linkpkg $(OFLAGS) -linkall
 
-DOC_FLAGS= -colorize-code -stars -m A -hide-warnings $(PACKAGES) $(INCLUDES) $(GUI_INCLUDES)
+DOC_FLAGS= -charset utf8 -colorize-code -stars -m A $(PACKAGES) $(INCLUDES) $(GUI_INCLUDES)
+
+ifneq ($(VERBOSEMAKE),yes)
+DOC_FLAGS+= -hide-warnings
+endif
 
 # Files that depend on external libraries -namely Zarith- whose interface
 # has not been explicitely declared -opaque, hence would trigger warning 58.
-# This can't be solve by Frama-C itself, we can only wait for an update of
+# This can't be solved by Frama-C itself, we can only wait for an update of
 # said library.
 
 NON_OPAQUE_DEPS:=
@@ -145,9 +167,9 @@
 
 ICONS:= $(addprefix share/,\
 		frama-c.ico frama-c.png unmark.png \
-		switch-on.png switch-off.png )
-
-FEEDBACK_ICONS_NAMES:= \
+		switch-on.png switch-off.png)
+
+THEME_ICON_NAMES:= \
 		never_tried.png \
 		unknown.png \
 		surely_valid.png \
@@ -158,15 +180,18 @@
 		invalid_but_dead.png \
 		unknown_but_dead.png \
 		valid_but_dead.png \
-		inconsistent.png
-
-FEEDBACK_ICONS_DEFAULT:= \
-	$(addprefix share/theme/default/,$(FEEDBACK_ICONS_NAMES))
-FEEDBACK_ICONS_COLORBLIND:= \
-	$(addprefix share/theme/colorblind/,$(FEEDBACK_ICONS_NAMES))
+		inconsistent.png \
+		fold.png unfold.png
+
+THEME_ICONS_DEFAULT:= \
+  $(addprefix share/theme/default/,$(THEME_ICON_NAMES))
+THEME_ICONS_COLORBLIND:= \
+  $(addprefix share/theme/colorblind/,$(THEME_ICON_NAMES))
+THEME_ICONS_FLAT:= \
+  $(addprefix share/theme/flat/,$(THEME_ICON_NAMES))
 
 ROOT_LIBC_DIR:= share/libc
-LIBC_SUBDIRS:= sys netinet linux net arpa
+LIBC_SUBDIRS:= sys netinet net arpa
 LIBC_DIR:= $(ROOT_LIBC_DIR) $(addprefix $(ROOT_LIBC_DIR)/,$(LIBC_SUBDIRS))
 LIBC_FILES:= \
 	$(wildcard share/*.h share/*.c) \
@@ -209,10 +234,12 @@
 # itself, rather than copied: otherwise, it could include references to
 # non-distributed plug-ins.
 DISTRIB_FILES:=\
-      $(wildcard bin/migration_scripts/*2*.sh) bin/local_export.sh                        \
+      $(wildcard bin/migration_scripts/*2*.sh) bin/local_export.sh      \
       bin/frama-c bin/frama-c.byte bin/frama-c-gui bin/frama-c-gui.byte \
-      bin/frama-c-config share/frama-c.WIN32.rc share/frama-c.Unix.rc   \
-      $(ICONS) $(FEEDBACK_ICONS_DEFAULT) $(FEEDBACK_ICONS_COLORBLIND)	\
+      bin/frama-c-config bin/frama-c-script                             \
+      share/frama-c.WIN32.rc share/frama-c.Unix.rc                      \
+      $(ICONS) $(THEME_ICONS_DEFAULT) $(THEME_ICONS_COLORBLIND)         \
+      $(THEME_ICONS_FLAT)                                               \
       man/frama-c.1 doc/README						\
       doc/code/docgen.ml                                                \
       doc/code/*.css doc/code/intro_plugin.txt				\
@@ -225,20 +252,40 @@
       $(filter-out ptests/ptests_config.ml,$(wildcard ptests/*.ml*))   \
       configure.in Makefile Makefile.generating				\
       Changelog config.h.in						\
-      VERSION $(wildcard licenses/*)                                    \
+      VERSION VERSION_CODENAME $(wildcard licenses/*)                   \
       $(LIBC_FILES)							\
+      share/analysis-scripts/benchmark_database.py                      \
       share/analysis-scripts/cmd-dep.sh                                 \
+      share/analysis-scripts/concat-csv.sh                              \
+      share/analysis-scripts/clone.sh                                   \
+      $(wildcard share/analysis-scripts/examples/*)                     \
+      share/analysis-scripts/fc_stubs.c                                 \
+      share/analysis-scripts/find_fun.py                                \
+      share/analysis-scripts/flamegraph.pl                              \
       share/analysis-scripts/frama-c.mk                                 \
+      share/analysis-scripts/frama_c_results.py                         \
+      share/analysis-scripts/git_utils.py                               \
+      share/analysis-scripts/list_files.py                              \
+      share/analysis-scripts/make_template.py                           \
+      share/analysis-scripts/make_wrapper.py                            \
       share/analysis-scripts/parse-coverage.sh                          \
       share/analysis-scripts/README.md                                  \
+      share/analysis-scripts/results_display.py                         \
+      share/analysis-scripts/summary.py                                 \
+      share/analysis-scripts/template.mk                                \
       $(wildcard share/emacs/*.el) share/autocomplete_frama-c           \
       share/_frama-c                                                    \
+      share/compliance/c11_functions.json                               \
+      share/compliance/glibc_functions.json                             \
+      share/compliance/nonstandard_identifiers.json                     \
+      share/compliance/posix_identifiers.json                           \
       share/configure.ac                                                \
       share/Makefile.config.in share/Makefile.common                    \
       share/Makefile.generic						\
       share/Makefile.plugin.template share/Makefile.dynamic		\
       share/Makefile.dynamic_config.external				\
       share/Makefile.dynamic_config.internal				\
+      share/META.frama-c                                                \
       $(filter-out src/kernel_internals/runtime/config.ml,              \
 	  $(wildcard src/kernel_internals/runtime/*.ml*))               \
       $(wildcard src/kernel_services/abstract_interp/*.ml*)             \
@@ -247,67 +294,3 @@
       $(wildcard src/libraries/utils/*.ml*)                             \
       $(wildcard src/libraries/utils/*.c)                               \
       $(wildcard src/libraries/project/*.ml*)                           \
-      $(filter-out src/kernel_internals/parsing/check_logic_parser.ml,  \
-          $(wildcard src/kernel_internals/parsing/*.ml*))               \
-      $(wildcard src/kernel_internals/typing/*.ml*)                     \
-      $(wildcard src/kernel_services/ast_data/*.ml*)                    \
-      $(wildcard src/kernel_services/ast_queries/*.ml*)                 \
-      $(wildcard src/kernel_services/ast_printing/*.ml*)                \
-      $(wildcard src/kernel_services/cmdline_parameters/*.ml*)          \
-      $(wildcard src/kernel_services/analysis/*.ml*)                    \
-      $(wildcard src/kernel_services/ast_transformations/*.ml*)         \
-      $(wildcard src/kernel_services/plugin_entry_points/*.ml*)         \
-      $(wildcard src/kernel_services/visitors/*.ml*)                    \
-      $(wildcard src/kernel_services/parsetree/*.ml*)                   \
-      $(wildcard src/libraries/datatype/*.ml*)                          \
-      bin/sed_get_make_major bin/sed_get_make_minor                     \
-      INSTALL.md README.md .make-clean	                        \
-      .make-clean-stamp .force-reconfigure 	\
-      opam/opam opam/descr \
-      opam/files/run_autoconf_if_needed.sh
-
-DISTRIB_TESTS=$(filter-out tests/non-free/%,$(shell git ls-files tests src/plugins/aorai/tests src/plugins/report/tests src/plugins/wp/tests))
-
-
-# files that are needed to compile API documentation of external plugins
-DOC_GEN_FILES:=$(addprefix doc/code/,\
-	*.css intro_plugin.txt intro_kernel_plugin.txt \
-	intro_plugin_default.txt intro_plugin_D_and_S \
-	kernel-doc.ocamldoc \
-	docgen.ml docgen.cm* *.htm)
-
-################
-# Main targets #
-################
-
-# additional compilation targets for 'make all'.
-# cannot be delayed after 'make all'
-EXTRAS	= ptests bin/fc-config$(EXE)
-
-ifneq ($(ENABLE_GUI),no)
-ifeq ($(HAS_LABLGTK),yes)
-EXTRAS	+= gui
-endif
-endif
-
-all:: byte $(OCAMLBEST) $(EXTRAS) plugins_ptests_config
-
-.PHONY: top opt byte dist bdist rebuild rebuild-branch
-
-dist: clean
-	$(QUIET_MAKE) all
-
-clean-rebuild: clean
-	$(QUIET_MAKE) all
-
-rebuild: config.status
-	$(MAKE) smartclean
-	$(MAKE) depend $(FRAMAC_PARALLEL)
-	$(MAKE) all $(FRAMAC_PARALLEL) || \
-		(touch .force-reconfigure; \
-		 $(MAKE) config.status && \
-		 $(MAKE) depend $(FRAMAC_PARALLEL) && \
-		 $(MAKE) all $(FRAMAC_PARALLEL))
-
-sinclude .Makefile.user # Should defines FRAMAC_PARALLEL and FRAMAC_USER_FLAGS
-
