=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
  libzarith-ocaml-dev,
  ocaml-findlib,
  libfindlib-ocaml-dev,
+ libyojson-ocaml-dev,
+ libwhy3-ocaml-dev,
  libocamlgraph-ocaml-dev (>> 1.8.5~),
 Standards-Version: 3.9.8
 Homepage: http://frama-c.com/
